[LyX/2.3.x] CMake deb: support "python2 | python3" dependency

Scott Kostyshak skostysh at lyx.org
Fri Oct 30 02:21:25 UTC 2020


commit 3611c09f39cc5aab188aaf383cc6a7f60c69212e
Author: Scott Kostyshak <skostysh at lyx.org>
Date:   Mon Oct 19 14:59:17 2020 -0400

    CMake deb: support "python2 | python3" dependency
    
    The latest debian-based distributions have moved away from
    the "python" package dependency to "python2" and "python3".
    
    (cherry picked from commit fe1cbc06c320677bf5930d3e3e943f7d9a75bdcf)
---
 development/cmake/LyxPackaging.cmake |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/development/cmake/LyxPackaging.cmake b/development/cmake/LyxPackaging.cmake
index 8dd7fa4..5d7acd1 100644
--- a/development/cmake/LyxPackaging.cmake
+++ b/development/cmake/LyxPackaging.cmake
@@ -151,7 +151,9 @@ set(CPACK_PACKAGE_CONTACT "${PACKAGE_BUGREPORT}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${LYX_PROJECT}-${LYX_INSTALL_SUFFIX}")
 
 # We depend on python scripting
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "python (>= 2.7)")
+# Currently no need to specify versions for pythonx since they are only
+# available in newest distributions.
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "python (>= 2.7) | python3 | python2")
 
 # use dpkg-shlibdeps to generate additional info for package dependency list.
 set(CPACK_DEBIAN_PACKAGE_RELEASE ${LYX_PACKAGE_RELEASE})


More information about the lyx-cvs mailing list